--------------------------------------------------------------------------------------------
-- server.lua - Demonstrates a very simple server
--------------------------------------------------------------------------------------------
require ("configure_me");  --Include the file 'configure_me.lua'
require ("library");       --Include the file 'library.lua'

--Server main loop
while (1) do
   Sleep (200); --Don't use too much computing power

   --Check for 100 different tickets:
   for c=0,99 do
      local filename = ticket_path.."ticket"..string.format("%02i", c)..".txt";

      --Do we have a ticket file for that number?
      if (DoesFileExist (filename)) then
         --Yes! Notify the user!
         if (MessageBox(filename, binaryor(MB_ICONQUESTION, MB_OKCANCEL))==IDCANCEL) then
            break; --End the server
         else
            --Remove the ticket file. This sample won't analyze it:
            os.remove (filename);
         end 
      end
   end

   --Check for quit ticket:
   if (DoesFileExist (ticket_path.."quit_ticket.txt")) then
      break; --End the server
   end
end