--------------------------------------------------------------------------------------------
-- library.lua - Useful functions
--------------------------------------------------------------------------------------------

--------------------------------------------------------------------------------------------
-- Returns true if the file exists
--------------------------------------------------------------------------------------------
function DoesFileExist (FullFilename)
   local filehandle = io.open (FullFilename);

   if (filehandle) then
      io.close(filehandle);
      return (true);
   end

   return (false);
end

--------------------------------------------------------------------------------------------
-- Sends an error mail to the admin
--------------------------------------------------------------------------------------------
function ErrorMail (errortext)
   projectClose();
   projectMail (error_mail_to, "WinOLS script error", errortext);
   Quit();
end