--------------------------------------------------------------------------------------------
-- ImportServer.lua - Demonstrates an import server
--------------------------------------------------------------------------------------------
require ("configure_me");  --Include the file 'configure_me.lua'
require ("library");       --Include the file 'library.lua'

--Server main loop
while (1) do
   Sleep (200); --Don't use too much computing power
   MessagePump();

   --Check for files:
   a = ReadDirectory (input_path.."*.*");
   size = #a
   for i=1, size do
      NewProject();
      if (projectImport (input_path..a[i])) then
         projectSetProperty (ePrjUserdef1, "Imported by LUA");
         projectSave ();
         projectClose ();
      end
      os.remove(input_path..a[i]);
   end

   --Check for quit ticket:
   if (DoesFileExist (ticket_path.."quit_ticket.txt")) then
      os.remove (ticket_path.."quit_ticket.txt");
      Quit(); --End the server
   end
end